Name: jdbc-stdext
Version: 2.0
Release: alt2.M24.1

Summary: Java DataBase Connectivity 2.0 optional package
License: Sun Binary Code License
Group: Development/Java
Packager: Alexey Borovskoy <alb@altlinux.ru>

Url: http://java.sun.com/products/jdbc

Source0: jdbc2_0-stdext.jar
Source1: jdbc2_0_1-stdext-javadoc.zip
Source2: LICENSE.txt

BuildArch: noarch
BuildPreReq: unzip rpm-build-java java-common >= 1.2
Requires: java-common >= 1.2 j2se >= 1.4.2

%description
The javax.sql package is also called the JDBC 2.0 Optional Package API
(formerly known as the JDBC 2.0 Standard Extension API).

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%prep
%setup -c -T
%setup -D -T -a 1
%__cp %SOURCE0 .
%__cp %SOURCE2 .

%build

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_docdir/%name-%version

%__install -m644 jdbc2_0-stdext.jar %buildroot%_javadir

%__mv html %buildroot%_javadocdir/%name
%__cp *.txt %buildroot%_docdir/%name-%version/

%files
%_javadir/*.jar
%_docdir/%name-%version

%files javadoc
%_javadocdir/%name

%changelog
* Sat May 07 2005 Alexey Borovskoy <alb@altlinux.ru> 2.0-alt2.M24.1
- Backport to Master 2.4

* Wed Jun 09 2004 Alexey Borovskoy <alb@altlinux.ru> 2.0-alt2
- Fix %files section
- Change JVM to j2se1.4-sun

* Sat Nov 29 2003 Alexey Borovskoy <alb@altlinux.ru> 2.0-alt1
- First build for ALTLinux
- Spec cleanup

* Wed Oct 08 2003 Leonid Dubinsky <dub@podval.org> 2.0-12jpp
- conditionalize javadoc subpackage
- mark javadoc as %%doc
- rename spec file

* Thu Feb 13 2003 Nicolas Mailhot <Nicolas.Mailhot@laPoste.net> 2.0-9jpp
- Only install for Java 1.3.0 & 1.3.1

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-8jpp
- vendor, distribution, group tags

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-7jpp
- section macro
- nosrc package
- added Sun Binary Code License

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-6jpp
- javadoc in %{javadocdir} again

* Mon Jan 7 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-5jpp
- javadoc back to /usr/share/doc
- no dependencies for javadoc package
- standardised summary

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-4jpp
- javadoc into javadoc package

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-3jpp
- first unified release

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-2mdk
- s/jPackage/JPackage/
- spec cleanup

* Tue Sep 04 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-1mdk
- first Mandrake release
